---
schema_version: "1"
id: 5eaa0b08ad0a8fb3ac76651e9e45bcb24a5404e93e3a08bf7c7ab6f5b8a6a307
title: CMS Connect REST API
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/connect-rest/connect-rest-api/references/generated-api-specs/connect-rest-api-cms.md
canonical_url: https://developer.salesforce.com/docs/platform/connect-rest-api/references/connect-rest-api-cms
source_site: developer.salesforce.com
content_type: documentation
content_hash: 0e4a5c29d3fca960dcb7bb5e8b71ea12a70a59b6687c1783e88a53cdd51cc8f8
products:
  - Connect REST API Developer Guide
  - Connect REST APIs
---
CMS Connect REST API

# CMS Connect REST API

> **Note**: The API Reference has a new three-panel layout. Browse grouped endpoints on the left, review endpoint details in the center, and access examples on the right.

**Important**: Where possible, we changed noninclusive terms to align with our company value of Equality. We maintained certain terms to avoid any effect on customer implementations.

**Version:** v68.0

## Servers

*   `https://{MyDomainName}.my.salesforce.com/services/data/v68.0` API server for your Salesforce org.
    *   ``MyDomainName (default None) Your org's My Domain name, which is used as a subdomain for the URLs that Salesforce uses to serve your org. For example, if your Lightning URL is `https://yourcompanyname.lightning.force.com`, then your My Domain name is `yourcompanyname`. Find your My Domain name and login URL on the My Domain page in Setup, or use the `getMyDomainName()` method in the Apex Domain class.``

## Tags

### CMS Managed Content Resources

Get published managed content versions for an Experience Cloud site or a channel. Search managed content in an Experience Cloud site or channel. Get managed content delivery channels for the context user. Get published managed content versions for a channel. Search managed content in a channel. Get the binary stream of published managed content. Get or update the searchable status for managed content types in a channel. Get a piece of managed content. Get a managed content folder.

If you have enhanced CMS workspaces, see [Enhanced CMS Workspaces Resources](/docs/platform/connect-rest-api/references/connect-rest-api-cms#tag/Enhanced-CMS-Workspaces-Resources).

### Enhanced CMS Workspaces Resources

Get managed content channels. Create a managed content channel. Get, update, or delete a managed content channel. Get managed content delivery channels. Get collection items for a channel or Experience Cloud site. Get a collection of published contents for a channel or Experience Cloud site. Get a piece of published content for a channel or Experience Cloud site. Search for content in a channel or Experience Cloud site. Get the binary stream of a media node of published content in a channel. Get or update the searchable status for managed content types in a channel. Get search indexes or trigger search indexing for a channel. Create managed content. Get a version of a piece of content. Clone a piece of managed content. Get, add, or remove taxonomy term associations from managed content. Get digital asset management (DAM) providers. Create, update, or delete a DAM provider instance. Publish and unpublish content. Create, update, get, or delete a managed content variant. Get a managed content folder. Get targets that a managed content space folder can be shared with. Get or update the targets that a managed content space folder is shared with. Search for managed content items, including variants and folders, in spaces and folders. Get managed content spaces. Create, get, or update a managed content space. Get channels for a managed content space. Add or remove channels from a managed content space.

These resources are available for enhanced CMS workspaces. If you don’t have enhanced CMS workspaces, see [CMS Managed Content Resources](/docs/platform/connect-rest-api/references/connect-rest-api-cms#tag/CMS-Managed-Content-Resources).

## Operations

### GET CMS Channels

`GET /connect/cms/channels`

Operation ID: `getManagedContentChannels`. Tags: Enhanced CMS Workspaces Resources.

The management resource endpoint of Managed Content Channels API. Used to create and get all ManagedContentChannel

Get managed content channels.

To get managed content delivery channels, see [CMS Delivery Channels](/docs/platform/connect-rest-api/references/connect-rest-api-cms#tag/CMS-Managed-Content-Resources/operation/getChannels).

_Available in: v62.0_

#### Parameters

*   `page` (query, integer)
    
    Number of the page you want returned. Starts at 0. If you don’t specify a value or if you specify 0, the first page is returned.
    
    _Available in: v62.0_
    
*   `pageSize` (query, integer)
    
    Specifies the number of items per page. Valid values are from 1 through 250. If you don’t specify a value, the default size is 25.
    
    _Available in: v62.0_
    
*   `showDetails` (query, boolean)
    
    Specifies whether to show the channels’ detailed information ( `true` ) or summary information only ( `false` ). If you don't specify a value, the default is `false` .
    
    _Available in: v62.0_
    

#### Responses

*   **200** _Managed Content Channels_ Collection of managed content channels.
    
    Media type: `application/json`. Schema: `ManagedContentChannels`.
    

### POST CMS Channels

`POST /connect/cms/channels`

Operation ID: `postManagedContentChannels`. Tags: Enhanced CMS Workspaces Resources.

The management resource endpoint of Managed Content Channels API. Used to create and get all ManagedContentChannel

Create managed content channels.

To get managed content delivery channels, see [CMS Delivery Channels](/docs/platform/connect-rest-api/references/connect-rest-api-cms#tag/CMS-Managed-Content-Resources/operation/getChannels).

_Available in: v62.0_

#### Request body

Input body to create a managed content channel.

Media type: `application/json`. Schema: `ManagedContentChannelCreate`.

_Example: example\_1_ Payload 1

```
{
  "name": "New Channel",
  "targetId": "0DBxx0000004ExEGAU",
  "type": "Community"
}
```

#### Responses

*   **200** _Managed Content Channel_ Managed content channel.
    
    Media type: `application/json`. Schema: `ManagedContentChannel`.
    

### GET CMS Channel

`GET /connect/cms/channels/{channelId}`

Operation ID: `getManagedContentChannel`. Tags: Enhanced CMS Workspaces Resources.

The management resource endpoint of CMS Channels for a specific ManagedContentChannel (CMS Channel)

Get a managed content channel.

To get a managed content delivery channel, see [CMS Delivery Channel](/docs/platform/connect-rest-api/references/connect-rest-api-cms#tag/Enhanced-CMS-Workspaces-Resources/operation/getManagedContentDeliveryChannel).

_Available in: v62.0_

#### Parameters

*   `channelId` (path, string (Id), required) ID of a channel.  
    Pattern: ^(0ap)\\w\*.

#### Responses

*   **200** _Managed Content Channel_ Managed content channel.
    
    Media type: `application/json`. Schema: `ManagedContentChannel`.
    

### DELETE CMS Channel

`DELETE /connect/cms/channels/{channelId}`

Operation ID: `deleteManagedContentChannel`. Tags: Enhanced CMS Workspaces Resources.

The management resource endpoint of CMS Channels for a specific ManagedContentChannel (CMS Channel)

Delete a managed content channel.

To get a managed content delivery channel, see [CMS Delivery Channel](/docs/platform/connect-rest-api/references/connect-rest-api-cms#tag/Enhanced-CMS-Workspaces-Resources/operation/getManagedContentDeliveryChannel).

_Available in: v62.0_

#### Parameters

*   `channelId` (path, string (Id), required) ID of a channel.  
    Pattern: ^(0ap)\\w\*.

#### Responses

*   **200** _Status Codes and Error Responses_ The response header contains an HTTP status code. If the response isn’t successful, the response body contains an error message, and if appropriate, information about the field or object where the error occurred.

### PATCH CMS Channel

`PATCH /connect/cms/channels/{channelId}`

Operation ID: `patchManagedContentChannel`. Tags: Enhanced CMS Workspaces Resources.

The management resource endpoint of CMS Channels for a specific ManagedContentChannel (CMS Channel)

Update a managed content channel.

To get a managed content delivery channel, see [CMS Delivery Channel](/docs/platform/connect-rest-api/references/connect-rest-api-cms#tag/Enhanced-CMS-Workspaces-Resources/operation/getManagedContentDeliveryChannel).

_Available in: v62.0_

#### Parameters

*   `channelId` (path, string (Id), required) ID of a channel.  
    Pattern: ^(0ap)\\w\*.

#### Request body

Input body to update a managed content channel.

Media type: `application/json`. Schema: `ManagedContentChannelUpdate`.

_Example: example\_1_ Payload 1

```
{
  "name": "New Channel Name"
}
```

#### Responses

*   **200** _Managed Content Channel_ Managed content channel.
    
    Media type: `application/json`. Schema: `ManagedContentChannel`.
    

### GET CMS Channel Search Indexes

`GET /connect/cms/channels/{channelId}/search/indexes`

Operation ID: `getManagedContentSearchIndexes`. Tags: Enhanced CMS Workspaces Resources.

Used to trigger search indexes for CMS content

Get the latest live and non-live search indexes.

_Available in: v54.0_

#### Parameters

*   `channelId` (path, string (Id), required) ID of a channel.  
    Pattern: ^(0ap)\\w\*.

#### Responses

*   **200** _Managed Content Search Index Collection_ Collection of search indexes for a channel.
    
    Media type: `application/json`. Schema: `ManagedContentSearchIndexCollection`.
    

### POST CMS Channel Search Indexes

`POST /connect/cms/channels/{channelId}/search/indexes`

Operation ID: `postManagedContentSearchIndex`. Tags: Enhanced CMS Workspaces Resources.

Used to trigger search indexes for CMS content

Trigger incremental or full search indexing for a channel.

_Available in: v54.0_

After you index your content, use the [Experience Cloud CMS Content Search Resource](/docs/platform/connect-rest-api/references/connect-rest-api-cms#tag/Experience-Cloud-CMS-Content-Search-Resources/operation/searchSite) to search your site.

#### Parameters

*   `channelId` (path, string (Id), required) ID of a channel.  
    Pattern: ^(0ap)\\w\*.
*   `fallbackToFullIndex` (query, boolean)
    
    Specifies whether to perform a full index in cases where incremental indexes aren’t possible ( `true` ) or not ( `false` ). If unspecified, defaults to `true` . This parameter has no effect if `isIncremental` is unspecified or set to `false` .
    
    _Available in: v59.0_
    
*   `isIncremental` (query, boolean)
    
    Specifies whether to update the index only with changes that have happened since the last full index was performed ( `true` ) or perform a full index ( `false` ). If unspecified, the default is `false` .
    
    _Available in: v59.0_
    

#### Responses

*   **200** _Managed Content Search Index_ Search index for a channel.
    
    Media type: `application/json`. Schema: `ManagedContentSearchIndex`.
    

### GET CMS Searchable Content Types, Channel

`GET /connect/cms/channels/{channelId}/searchable-content-types`

Operation ID: `getContentTypeSearchStatus`. Tags: CMS Managed Content Resources.

Used to fetch all content types searchable status or update a content type searchable status in a channel.

Get the searchable status for managed content types in a channel.

_Available in: v49.0_

#### Parameters

*   `channelId` (path, string (Id), required) ID of a channel.  
    Pattern: ^(0ap)\\w\*.
*   `page` (query, integer)
    
    Number of the page you want returned. Starts at 0. If you don’t specify a value or if you specify 0, the first page is returned.
    
    _Available in: v49.0_
    
*   `pageSize` (query, integer)
    
    Specifies the number of items per page. Valid values are from 1 through 250. If you don’t specify a value, the default size is 25.
    
    _Available in: v49.0_
    

#### Responses

*   **200** _Managed Content Type Searchable Collection_ Collection of searchable statuses for managed content types.
    
    Media type: `application/json`. Schema: `ManagedContentTypeSearchableCollection`.
    

### PATCH CMS Searchable Content Types, Channel

`PATCH /connect/cms/channels/{channelId}/searchable-content-types`

Operation ID: `updateContentTypeSearchStatus`. Tags: CMS Managed Content Resources.

Used to fetch all content types searchable status or update a content type searchable status in a channel.

Update the searchable status for managed content types in a channel.

_Available in: v49.0_

#### Parameters

*   `channelId` (path, string (Id), required) ID of a channel.  
    Pattern: ^(0ap)\\w\*.

#### Request body

Update the searchable status of a managed content type.

Media type: `application/json`. Schema: `ManagedContentTypeSearchableInput`.

_Example: example\_1_ Payload 1

```
{
  "name": "Media",
  "isSearchable": "false"
}
```

#### Responses

*   **200** _Managed Content Type Searchable_ Searchable status for a managed content type.
    
    Media type: `application/json`. Schema: `ManagedContentTypeSearchable`.
    

### GET CMS Content Job

`GET /connect/cms/content/jobs/{jobId}`

Operation ID: `getContentJob`. Tags: CMS Managed Content Resources.

The resource endpoint of Managed Content Jobs API for a specific ManagedContentImportExportJob (CMS Import/Export Job) record

Get information about an import or export job.

_Available in: v68.0_

#### Parameters

*   `jobId` (path, string (Id), required) ID of the job.  
    Pattern: ^(0gU)\\w\*.

#### Responses

*   **200** Managed Content Job
    
    Media type: `application/json`. Schema: `ManagedContentJob`.
    

### POST CMS Contents

`POST /connect/cms/contents`

Operation ID: `postManagedContentDocumentCreate`. Tags: Enhanced CMS Workspaces Resources.

This API allows to create a new managed content.

Create managed content.

_Available in: v54.0_

**Note:** In version 56.0 and later, you can upload binary files to create managed content. To upload a binary file, you must send it in a multipart/form-data request. For information about how to create the multipart/form-data message, see [Uploading Binary Files](/docs/platform/connect-rest-api/guide/intro_input#uploading-binary-files).

#### Request body

Managed content.

Media type: `application/json`. Schema: `ManagedContentInput`.

_Example: example\_1_ Payload 1

Version 60.0 and later

```
{
  "contentSpaceOrFolderId": "0Zuxx00000003M5CAI",
  "title": "Title of Document",
  "contentType": "sfdc_cms__news",
  "urlName": "test-url",
  "contentBody": {
    "bannerImage": {
      "source": {
        "type": "imageReference",
        "ref": {
          "contentKey": "MCZOCY2AM5PFBADN5UDRB53TLXR4"
        }
      }
    },
    "excerpt": "this is test excerpt",
    "body": "&lt;p&gt;Test body&lt;/p&gt;"
  }
}
```

_Example: example\_2_ Payload 2

Version 54.0–59.0

```
{
  "contentSpaceOrFolderId": "0Zuxx00000003M5CAI",
  "title": "Title of Document",
  "contentType": "ftestSfdcOnly__banner",
  "urlName": "testUrl",
  "contentBody": {
    "bannerImage": "MCZOCY2AM5PFBADN5UDRB53TLXR4",
    "featuredEvent": "MCZOCY2AM5PFBADN5UDRB53TLXR4",
    "excerpt": "this is test except",
    "body": "&lt;p&gt;Test body&lt;/p&gt;"
  }
}
```

Media type: `multipart/form-data`. Schema: `object`.

*   `ManagedContentInputParam` (_ManagedContentInput_)
*   `contentData` (_string (binary)_)

#### Responses

*   **200** _Managed Content Document_ Managed content document.
    
    Media type: `application/json`. Schema: `ManagedContentDocument`.
    

### POST CMS Contents Publish

`POST /connect/cms/contents/publish`

Operation ID: `postManagedContentPublish`. Tags: Enhanced CMS Workspaces Resources.

Connect endpoint for CMS json based deployment publish action.

Publish content.

_Available in: v55.0_

#### Request body

Managed content publish.

Media type: `application/json`. Schema: `ManagedContentPublishInput`.

_Example: example\_1_ Payload 1

```
{
  "description": "Test Description",
  "contentIds": [
    "20YRM0000000CPi2AM"
  ]
}
```

#### Responses

*   **200** _Managed Content Publish_ Managed content publish action.
    
    Media type: `application/json`. Schema: `ManagedContentPublishOutput`.
    

### POST CMS Contents Unpublish

`POST /connect/cms/contents/unpublish`

Operation ID: `postManagedContentUnpublish`. Tags: Enhanced CMS Workspaces Resources.

Connect endpoint for CMS json based deployment unpublish action.

Unpublish content.

_Available in: v55.0_

#### Request body

Managed content unpublish.

Media type: `application/json`. Schema: `ManagedContentUnpublishInput`.

_Example: example\_1_ Payload 1

```
{
  "description": "Test Description",
  "contentIds": [
    "20YRM0000000CPi2AM"
  ]
}
```

#### Responses

*   **200** _Managed Content Unpublish_ Managed content unpublish action.
    
    Media type: `application/json`. Schema: `ManagedContentUnpublishOutput`.
    

### POST CMS Contents Variants

`POST /connect/cms/contents/variants`

Operation ID: `createManagedContentVariant`. Tags: Enhanced CMS Workspaces Resources.

This API allows create operation on a managed content variant.

Create a managed content variant.

_Available in: v58.0_

#### Request body

Input used to create a managed content variant.

Media type: `application/json`. Schema: `ManagedContentVariantInput`.

_Example: example\_1_ Payload 1

```
{
  "managedContentKeyorId": "MCWWQJDO2BUZAX7FITHQVAGIASAE",
  "language": "fr",
  "title": "French title",
  "urlName": "my_url_name",
  "contentBody": {
    "excerpt": "French excerpt",
    "body": "French body"
  }
}
```

#### Responses

*   **200** _Managed Content Variant_ Managed content variant.
    
    Media type: `application/json`. Schema: `ManagedContentVariant`.
    

### GET CMS Contents Variant

`GET /connect/cms/contents/variants/{variantId}`

Operation ID: `getManagedContentVariant`. Tags: Enhanced CMS Workspaces Resources.

This API allows operations on a managed content variant.

Get a managed content variant.

_Available in: v54.0_

#### Parameters

*   `variantId` (path, string (Id), required) ID of the variant.  
    Pattern: ^(9Ps)\\w\*.

#### Responses

*   **200** _Managed Content Variant_ Managed content variant.
    
    Media type: `application/json`. Schema: `ManagedContentVariant`.
    

### PUT CMS Contents Variant

`PUT /connect/cms/contents/variants/{variantId}`

Operation ID: `replaceManagedContentVariant`. Tags: Enhanced CMS Workspaces Resources.

This API allows operations on a managed content variant.

Update a managed content variant.

_Available in: v54.0_

**Note:** In version 56.0 and later, you can upload binary files. To upload a binary file, you must send it in a multipart/form-data request. For information about how to create the multipart/form-data message, see [Uploading Binary Files](/docs/platform/connect-rest-api/guide/intro_input#uploading-binary-files).

#### Parameters

*   `variantId` (path, string (Id), required) ID of the variant.  
    Pattern: ^(9Ps)\\w\*.

#### Request body

Managed content variant update.

Media type: `multipart/form-data`. Schema: `object`.

*   `contentData` (_string (binary)_)
*   `apiName` (_string_)
    
    API name of the managed content variant.
    
    _Available in: v63.0_
    
*   `contentBody` (_string_)
    
    Body of the managed content variant.
    
    _Available in: v54.0_
    
*   `title` (_string_)
    
    Title of the managed content variant.
    
    _Available in: v54.0_
    
*   `urlName` (_string_)
    
    URL name of the managed content variant within the org.
    
    _Available in: v54.0_
    

_Example: example\_1_ Payload 1

Version 60.0 and later

```
{
  "title": "Title of Document",
  "urlName": "test-url",
  "contentBody": {
    "bannerImage": {
      "source": {
        "type": "imageReference",
        "ref": {
          "contentKey": "MCZOCY2AM5PFBADN5UDRB53TLXR4"
        }
      }
    },
    "excerpt": "this is test excerpt",
    "body": "&lt;p&gt;Test body&lt;/p&gt;"
  }
}
```

_Example: example\_2_ Payload 2

Version 54.0–59.0

```
{
  "title": "My Updated Title",
  "urlName": "my_updated_url_name",
  "contentBody": {
    "bannerImage": "MCZOCY2AM5PFBADN5UDRB53TLXR4",
    "featuredEvent": "MCZOCY2AM5PFBADN5UDRB53TLXR4",
    "excerpt": "this is my updated excerpt",
    "body": "&lt;p&gt;Test updated body&lt;/p&gt;"
  }
}
```

#### Responses

*   **200** _Managed Content Variant_ Managed content variant.
    
    Media type: `application/json`. Schema: `ManagedContentVariant`.
    

### DELETE CMS Contents Variant

`DELETE /connect/cms/contents/variants/{variantId}`

Operation ID: `deleteManagedContentVariant`. Tags: Enhanced CMS Workspaces Resources.

This API allows operations on a managed content variant.

Delete a managed content variant.

_Available in: v54.0_

#### Parameters

*   `variantId` (path, string (Id), required) ID of the variant.  
    Pattern: ^(9Ps)\\w\*.

#### Responses

*   **200** _Status Codes and Error Responses_ The response header contains an HTTP status code. If the response isn’t successful, the response body contains an error message, and if appropriate, information about the field or object where the error occurred.

### GET CMS Content

`GET /connect/cms/contents/{contentKeyOrId}`

Operation ID: `getManagedContent`. Tags: Enhanced CMS Workspaces Resources.

This API allows to get existing managed content.

Get a piece of managed content. In enhanced CMS workspaces, get a version of a piece of managed content.

_Available in: v57.0_

#### Parameters

*   `contentKeyOrId` (path, string, required) A unique identifier or ID of a content.
*   `contentVersion` (query, string)
    
    Content version of the managed content.
    
    _Available in: v66.0_
    
*   `language` (query, string)
    
    Language locale of the managed content, for example, `en_US`. If you don't specify `version` or if you specify a `version` corresponding to the latest version, the document is returned in the fallback language, if available, or in the primary language of the workspace. If you specify a `version` which isn’t the latest version and isn’t available for the language, an error is returned. If you don’t specify a language, the document is returned in the primary language of the workspace.
    
    _Available in: v57.0_
    
*   `variantVersion` (query, string)
    
    Variant version of the managed content.
    
    _Available in: v66.0_
    
*   `version` (query, string)
    
    In non-enhanced workspaces, the 18-character ID of the content version. In enhanced workspaces, the version number ID.
    
    _Available in: v57.0_
    

#### Responses

*   **200** _Managed Content Document_ Managed content document.
    
    Media type: `application/json`. Schema: `ManagedContentDocument`.
    

### POST CMS Content Clone

`POST /connect/cms/contents/{contentKeyOrId}/clone`

Operation ID: `postManagedContentDocumentClone`. Tags: Enhanced CMS Workspaces Resources.

This API allows to clone existing managed content.

Clone a piece of managed content.

_Available in: v61.0_

#### Parameters

*   `contentKeyOrId` (path, string, required) Content key or ID of the managed content.

#### Request body

Managed content clone input.

Media type: `application/json`. Schema: `ManagedContentDocumentCloneInput`.

_Example: example\_1_ Payload 1

```
{
  "includeVariants": true,
  "contentSpaceOrFolderId": "9Puxx0000004M92CAE",
  "title": "Cloned Content",
  "apiName": "new_api_name"
}
```

#### Responses

*   **200** _Managed Content Document Clone_ Managed content document clone.
    
    Media type: `application/json`. Schema: `ManagedContentDocumentClone`.
    

### GET CMS Content Taxonomy Terms

`GET /connect/cms/contents/{contentKeyOrId}/taxonomy-terms`

Operation ID: `getTaxonomyTerms`. Tags: Enhanced CMS Workspaces Resources.

Resource for fetching and updating taxonomy terms associated with managed content.

Get taxonomy terms that are associated with managed content.

Content admins use this resource to work with taxonomy term associations with CMS managed content. Content taxonomists use [Content Taxonomy Resources](/docs/platform/connect-rest-api/references/connect-rest-api-core#tag/Content-Taxonomy-Resources) to create, get, update, delete, and search content taxonomy terms.

_Available in: v63.0_

#### Parameters

*   `contentKeyOrId` (path, string, required) A unique identifier or ID of a content.

#### Responses

*   **200** _Managed Content Taxonomy Term Collection_ Collection of managed content taxonomy terms.
    
    Media type: `application/json`. Schema: `ManagedContentTaxonomyTermCollection`.
    

### PATCH CMS Content Taxonomy Terms

`PATCH /connect/cms/contents/{contentKeyOrId}/taxonomy-terms`

Operation ID: `updateTaxonomyTerms`. Tags: Enhanced CMS Workspaces Resources.

Resource for fetching and updating taxonomy terms associated with managed content.

Add or remove taxonomy term associations from managed content.

Content admins use this resource to work with taxonomy term associations with CMS managed content. Content taxonomists use [Content Taxonomy Resources](/docs/platform/connect-rest-api/references/connect-rest-api-core#tag/Content-Taxonomy-Resources) to create, get, update, delete, and search content taxonomy terms.

_Available in: v63.0_

#### Parameters

*   `contentKeyOrId` (path, string, required) A unique identifier or ID of a content.
*   `publish` (query, boolean)
    
    Specifies whether to publish the taxonomy term associations ( `true` ) or not ( `false` ). If unspecified, defaults to `false` .
    
    If content is published and has no outstanding changes, setting `true` publishes the taxonomy term association changes. Setting `false` saves the taxonomy term association changes and those changes are published along with the next content publish.
    
    _Available in: v63.0_
    

#### Request body

Add or remove taxonomy term associations from managed content.

_Available in: v63.0_

Media type: `application/json`. Schema: `ManagedContentTaxonomyTermsInput`.

_Example: example\_1_ Payload 1

```
{
  "termsToAdd": [
    "15dxx000001X8UzBBJ",
    "15dxx000001X8UzBBJ",
    "15dxx000001X8UzDBK"
  ],
  "termsToRemove": [
    "15dxx000001X8UzBCI"
  ]
}
```

#### Responses

*   **200** _Managed Content Taxonomy Term Collection_ Collection of managed content taxonomy terms.
    
    Media type: `application/json`. Schema: `ManagedContentTaxonomyTermCollection`.
    

### GET CMS Delivery Channels

`GET /connect/cms/delivery/channels`

Operation ID: `getChannels`. Tags: CMS Managed Content Resources.

The delivery resource endpoint of Managed Content Channels API. Used to get channels available for the current user

Get managed content delivery channels for the context user.

_Available in: v48.0_

This resource returns Managed Content Channel Collection response schema in v48.0–61.0.

#### Parameters

*   `page` (query, integer)
    
    Number of the page you want returned. Starts at 0. If you pass in `null` or 0, the first page is returned.
    
    _Available in: v48.0_
    
*   `pageSize` (query, integer)
    
    Specifies the number of items per page. Valid values are from 1 through 250. If you don’t specify a value, the default size is 25.
    
    _Available in: v48.0_
    

#### Responses

*   **200** _Managed Content Delivery Channels_ Collection of managed content delivery channels.
    
    Media type: `application/json`. Schema: `ManagedContentDeliveryChannels`.
    

### GET CMS Delivery Channel

`GET /connect/cms/delivery/channels/{channelId}`

Operation ID: `getManagedContentDeliveryChannel`. Tags: Enhanced CMS Workspaces Resources.

The delivery resource endpoint of Managed Content Channels API. Used to get details of a channel requested by the user

Get a managed content delivery channel.

_Available in: v54.0_

This resource returns Managed Content Channel Detail in v54.0–61.0.

#### Parameters

*   `channelId` (path, string (Id), required) ID of a channel.  
    Pattern: ^(0ap)\\w\*.

#### Responses

*   **200** _Managed Content Delivery Channel_ Managed content delivery channel.
    
    Media type: `application/json`. Schema: `ManagedContentDeliveryChannel`.
    

### GET CMS Delivery Collection

`GET /connect/cms/delivery/channels/{channelId}/collections/{collectionKeyOrId}`

Operation ID: `getCollectionItemsForSiteByCollectionKeyOrId`. Tags: Enhanced CMS Workspaces Resources.

This API used to get collection Items.

Get collection items for a channel or Experience Cloud site.

#### Experience Cloud site path

`/connect/sites/{siteId}/cms/delivery/collections/{collectionKeyOrId}`

_Available in: v56.0_

#### Parameters

*   `channelId` (path, string (Id), required) ID of a channel.  
    Pattern: ^(0ap)\\w\*.
*   `collectionKeyOrId` (path, string, required) Collection key or ID of the collection. A collection key is a unique identifier such as MCA4CCV5QS2BAB5H7YRCRPTCWGZQ.
*   `language` (query, string)
    
    Language locale for the managed content, for example, `en_US`. If you don’t specify a language or if the requested translation isn’t available, the language defaults to the channel or site’s default language. If the channel or site’s default language isn’t available, the language defaults to the primary language of the content space.
    
    _Available in: v56.0_
    
*   `pageSize` (query, integer)
    
    Number of items per page. Valid values are from 1 through 250. If you don't specify a value, the default size is 50.
    
    _Available in: v63.0_
    
*   `pageToken` (query, integer)
    
    Integer specifying a page token of items. If you don't specify a value, the default value is 0, which returns the first page token.
    
    _Available in: v63.0_
    

#### Responses

*   **200** _Managed Content Collection Items_ Managed content collection Items.
    
    Media type: `application/json`. Schema: `ManagedContentCollectionItems`.
    

### GET CMS Delivery Contents

`GET /connect/cms/delivery/channels/{channelId}/contents`

Operation ID: `getManagedContentsDelivery`. Tags: Enhanced CMS Workspaces Resources.

The delivery resource endpoint of Managed Content Delivery List API to fetch a multiple records of content published to a particular channel or site

Get a collection of published contents for a channel or Experience Cloud site.

#### Experience Cloud site path

`/connect/sites/{siteId}/cms/delivery/contents`

_Available in: v55.0_

#### Parameters

*   `channelId` (path, string (Id), required) ID of a channel.  
    Pattern: ^(0ap)\\w\*.
*   `contentKeys` (query, array of string)
    
    Comma-separated list of up to 50 content keys. Specify either managed content IDs or content keys.
    
    _Available in: v55.0_
    
*   `contentTypeFQN` (query, string)
    
    Fully qualified name of the managed content type.
    
    _Available in: v55.0_
    
*   `expandReferences` (query, boolean)
    
    Specifies whether to include details of references ( `true` ) or summaries of references ( `false` ) in the response body. If unspecified, the default value is `false` .
    
    _Available in: v55.0_
    
*   `includeContentBody` (query, boolean)
    
    Specifies whether to return the content body (`true`) or the content summary (`false`). If unspecified, the default value is `false`.
    
    _Available in: v55.0_
    
*   `language` (query, string)
    
    Language locale for the managed content, for example, `en_US`. If the requested translation isn’t available, the language defaults to the configured fallback language or the channel’s default language. If the content isn’t available in the fallback language and the channel’s default language, we return an error.
    
    _Available in: v55.0_
    
*   `managedContentIds` (query, array of string)
    
    Comma-separated list of up to 100 managed content IDs. Specify either managed content IDs or content keys.
    
    _Available in: v55.0_
    
*   `page` (query, integer)
    
    Number of the page you want returned. Starts at 0. If you don’t specify a value or if you specify 0, the first page is returned.
    
    _Available in: v55.0_
    
*   `pageSize` (query, integer)
    
    Specifies the number of items per page. Valid values are from 1 through 250. If unspecified, the default size is 25. If you specify `true` for `expandReferences` or `includeContentBody` , the maximum page size you can specify is 25.
    
    _Available in: v55.0_
    
*   `publishEndDate` (query, string)
    
    ISO 8601 formatted publish end date.
    
    _Available in: v55.0_
    
*   `publishStartDate` (query, string)
    
    ISO 8601 formatted publish start date.
    
    _Available in: v55.0_
    
*   `referenceDepth` (query, integer)
    
    An integer 0–3 specifying the depth of references. If you specify 0, the `references` property of the Managed Content Delivery Document Collection response body is null. If unspecified, the default value is 0.
    
    _Available in: v55.0_
    
*   `referencesAsList` (query, boolean)
    
    Specifies whether to return the references as a list in the `referencesList` property of the Managed Content Delivery Document Collection response body ( `true` ). If you specify `false` , the references are returned as key value pairs in the `references` property. If unspecified, the default value is `false` .
    
    _Available in: v55.0_
    
*   `showAbsoluteUrl` (query, boolean)
    
    Specifies whether to show absolute URLs in the response body (`true`) or not (`false`). If you don’t specify a value, the default is `false`.
    
    _Available in: v58.0_
    

#### Responses

*   **200** _Managed Content Delivery Document Collection_ Managed content delivery document collection.
    
    Media type: `application/json`. Schema: `ManagedContentDeliveryDocumentCollection`.
    

### POST CMS Delivery Channel Contents Search

`POST /connect/cms/delivery/channels/{channelId}/contents/enhanced-search`

Operation ID: `v2DeliverySearchOnContentsForChannelByChannelId`. Tags: Enhanced CMS Workspaces Resources.

Post Request to search for enhanced contents within the specified V2 channel.

Search for content in a channel or an Experience Cloud site.

#### Experience Cloud site path

`/connect/sites/{siteId}/cms/delivery/contents/enhanced-search`

_Available in: v64.0_

#### Parameters

*   `channelId` (path, string (Id), required) ID of a channel.  
    Pattern: ^(0ap)\\w\*.

#### Request body

Search managed content in a channel.

Media type: `application/json`. Schema: `ManagedContentDeliverySearchInput`.

_Example: example\_1_ Payload 1

```
{
  "queryTerm": "BMW",
  "filters": {
    "taxonomyQuery": {
      "expression": "'15dxx000001X8UzBBJ' OR '15dxx000001X8UzBBD'",
      "doesSearchInHierarchy": false
    },
    "language": "en_US",
    "contentTypeFQNs": [
      "sfdc_cms__news",
      "sfdc_cms__marketing"
    ]
  },
  "page": 1,
  "pageSize": 10
}
```

#### Responses

*   **200** _Managed Content Delivery Search Result Collection_ Collection of paginated managed content delivery search results.
    
    Media type: `application/json`. Schema: `ManagedContentDeliverySearchResultCollection`.
    

### GET CMS Delivery, Channel Query

`GET /connect/cms/delivery/channels/{channelId}/contents/query`

Operation ID: `getAllContent`. Tags: CMS Managed Content Resources.

The delivery part of Managed Content API. Used to get a collection of published content versions.

Get published managed content versions for a channel.

_Available in: v48.0_

#### Parameters

*   `channelId` (path, string (Id), required) ID of a channel.  
    Pattern: ^(0ap)\\w\*.
*   `contentKeys` (query, array of string)
    
    List of up to 50 content keys for the managed content. A content key is a universally unique identifier (UUID) such as MCA4CCV5QS2BAB5H7YRCRPTCWGZQ.
    
    Specify either `contentKeys` or `managedContentIds`.
    
    _Available in: v51.0_
    
*   `endDate` (query, string)
    
    Publish end date in ISO 8601 format, for example, 2011-02-25T18:24:31.000Z.
    
    _Available in: v48.0_
    
*   `includeMetadata` (query, boolean)
    
    Specifies whether to include metadata in the response (`true`) or not (`false`). The default value is `false`.
    
    _Available in: v48.0_
    
*   `language` (query, string)
    
    Language locale for the managed content, for example, `en_US`. If the requested translation isn’t available, the language defaults to the context user’s language. If the context user’s language isn’t available, the language defaults to the content type’s original language.
    
    _Available in: v48.0_
    
*   `managedContentIds` (query, array of string)
    
    Comma-separated list of managed content IDs. HTTP/2 clients support up to 200 IDs. HTTP/1.1 clients don’t.
    
    Specify either `contentKeys` or `managedContentIds`.
    
    _Available in: v48.0_
    
*   `managedContentType` (query, string)
    
    Developer name of the content type, such as `cms_document` or `cms_image`.
    
    _Available in: v48.0_
    
*   `page` (query, integer)
    
    Number of the page you want returned. Starts at 0. If you don’t specify a value or if you specify 0, the first page is returned.
    
    _Available in: v48.0_
    
*   `pageSize` (query, integer)
    
    Specifies the number of items per page. Valid values are from 1 through 250. For performance reasons, we recommend 25 or fewer items per page. If you don’t specify a value, the default size is 25.
    
    _Available in: v48.0_
    
*   `showAbsoluteUrl` (query, boolean)
    
    Specifies whether to show absolute URLs in the response body (`true`) or not (`false`). If you don’t specify a value, the default is `false`.
    
    _Available in: v50.0_
    
*   `startDate` (query, string)
    
    Publish start date in ISO 8601 format, for example, 2011-02-25T18:24:31.000Z.
    
    _Available in: v48.0_
    

#### Responses

*   **200** _Managed Content Version Collection_ Collection of managed content versions.
    
    Media type: `application/json`. Schema: `ManagedContentVersionCollection`.
    

### GET CMS Delivery Search, Channel

`GET /connect/cms/delivery/channels/{channelId}/contents/search`

Operation ID: `getManagedContentSearch`. Tags: CMS Managed Content Resources.

CMS Search API upon a channel

Search managed content in a channel.

**Note**: CMS Delivery Search, Channel doesn’t support enhanced CMS channels. To search in enhanced CMS workspaces, use [CMS Search](/docs/platform/connect-rest-api/references/connect-rest-api-cms#tag/Enhanced-CMS-Workspaces-Resources/operation/searchManagedContentForItems).

_Available in: v48.0_

#### Parameters

*   `channelId` (path, string (Id), required) ID of a channel.  
    Pattern: ^(0ap)\\w\*.
*   `page` (query, integer)
    
    Number of the page you want returned. Starts at 0. If you don’t specify a value or if you specify 0, the first page is returned.
    
    _Available in: v48.0_
    
*   `pageSize` (query, integer)
    
    Specifies the number of items per page. Valid values are from 1 through 250. If you don’t specify a value, the default size is 25.
    
    _Available in: v48.0_
    
*   `queryTerm` (query, string, required)
    
    SOSL query.
    
    _Available in: v48.0_
    
*   `scope` (query, ConnectManagedContentSearchScopeEnum)
    
    Scope of the content search. Values are:
    
    *   `All` —Search all text.
    *   `TitleOnly` —Search only title text.
    
    If you don’t specify a value, the default is `All`.
    
    _Available in: v48.0_
    

#### Responses

*   **200** _Managed Content Search Result Collection_ Collection of managed content search results.
    
    Media type: `application/json`. Schema: `ManagedContentSearchResultCollection`.
    

### GET CMS Delivery Content

`GET /connect/cms/delivery/channels/{channelId}/contents/{contentKeyOrId}`

Operation ID: `getManagedContentDelivery`. Tags: Enhanced CMS Workspaces Resources.

The delivery resource endpoint of Managed Content Delivery API to fetch a single record of content published to a particular channel or site

Get a piece of published content for a channel or Experience Cloud site.

#### Experience Cloud site path

`/connect/sites/{siteId}/cms/delivery/contents/{contentKeyOrId}`

_Available in: v54.0_

#### Parameters

*   `channelId` (path, string (Id), required) ID of a channel.  
    Pattern: ^(0ap)\\w\*.
*   `contentKeyOrId` (path, string, required) Content key or ID of the managed content.
*   `contentVersion` (query, integer)
*   `expandReferences` (query, boolean)
    
    Specifies whether to include details of references ( `true` ) or summaries of references ( `false` ) in the response body. If unspecified, the default value is `false` .
    
    _Available in: v54.0_
    
*   `language` (query, string)
    
    Language locale for the managed content, for example, `en_US`. To get content for a channel in the specified language, that language must be added to the channel. If you don’t specify a language or if the requested translation isn’t available, the language defaults to the channel or site’s default language. If the channel or site’s default language isn’t available, the language defaults to the primary language of the content space.
    
    _Available in: v54.0_
    
*   `referenceDepth` (query, integer)
    
    An integer 0–3 specifying the depth of references. If you specify 0, the `references` property of the Managed Content Delivery Document response body is null. If unspecified, the default value is 0.
    
    _Available in: v54.0_
    
*   `referencesAsList` (query, boolean)
    
    Specifies whether to return the references as a list in the `referencesList` property of the Managed Content Delivery Document response body ( `true` ). If you specify `false` , the references are returned as key value pairs in the `references` property. If unspecified, the default value is `false` .
    
    _Available in: v54.0_
    
*   `showAbsoluteUrl` (query, boolean)
    
    For public channels only, specifies whether to return the absolute `unauthenticatedUrl` in the response body. If you don’t specify a value, the default is `false`.
    
    _Available in: v54.0_
    

#### Responses

*   **200** _Managed Content Delivery Document_ Managed content in delivery scope.
    
    Media type: `application/json`. Schema: `ManagedContentDeliveryDocument`.
    

### GET CMS Delivery Content, Channel

`GET /connect/cms/delivery/channels/{channelId}/media/{mediaGuid}/content`

Operation ID: `getMediaBlob`. Tags: CMS Managed Content Resources.

Bytes of a media node within managed content item. Only returns bytes of media node if managed content item is published to the specified channel. Media guid uniquely identifies media node. If managed content item has multiple media nodes they will have different media guids. User must have access to the specified channel and managed content has to be published to that channel to be able to retrieve the bytes.

Get the binary stream of a media node of published content in a channel.

_Available in: v49.0_

#### Parameters

*   `channelId` (path, string (Id), required) ID of a channel.  
    Pattern: ^(0ap)\\w\*.
*   `mediaGuid` (path, string (Id), required) The `{mediaGuid}` parameter uniquely identifies the media node.
*   `language` (query, string)
    
    Language locale for the managed content, for example, `en_US`. To get content for a channel in the specified language, that language must be added to the channel. If you don’t specify a language or if the requested translation isn’t available, the language defaults to the channel or site’s default language. If the channel or site’s default language isn’t available, the language defaults to the primary language of the content space.
    
    _Available in: v54.0_
    

#### Responses

*   **200** Binary stream of the content
    
    Media type: `application/octet-stream`. Schema: `string (binary)`.
    
    Binary stream of the content
    
    Type: `string (binary)`.
    

### GET CMS Digital Asset Management Providers

`GET /connect/cms/digital-asset-management-providers`

Operation ID: `getManagedContentProviders`. Tags: Enhanced CMS Workspaces Resources.

Gets a collection of Managed Content Providers.

Get digital asset management (DAM) providers.

_Available in: v65.0_

#### Parameters

*   `contentSpaceId` (query, string)
    
    ID of the managed content space.
    
    _Available in: v66.0_
    

#### Responses

*   **200** _Managed Content Provider Collection_ Collection of managed content providers.
    
    Media type: `application/json`. Schema: `ManagedContentProviderCollection`.
    

### POST CMS Digital Asset Management Providers

`POST /connect/cms/digital-asset-management-providers`

Operation ID: `createManagedContentProvider`. Tags: Enhanced CMS Workspaces Resources.

Gets a collection of Managed Content Providers.

Create a DAM provider instance.

_Available in: v65.0_

#### Request body

Create or update a managed content provider instance.

Media type: `application/json`. Schema: `ManagedContentProviderInstanceInput`.

_Example: example\_1_ Payload 1

Creating a managed content provider instance

```
{
  "instanceKey": "https://xxxxxx.com",
  "isDefault": "true",
  "name": "Bynder-Brand-1",
  "providerLightningComponentId": "106xxxxxxxxxxx"
}
```

#### Responses

*   **200** _Managed Content Provider Instance_ Information about a managed content provider instance.
    
    Media type: `application/json`. Schema: `ManagedContentProviderInstance`.
    

### DELETE CMS Digital Asset Management Provider

`DELETE /connect/cms/digital-asset-management-providers/{providerInstanceId}`

Operation ID: `deleteManagedContentProviderInstance`. Tags: Enhanced CMS Workspaces Resources.

Used to delete a single Managed Content Provider Instance.

Delete a digital asset management (DAM) provider instance.

_Available in: v65.0_

**Note:** You can’t delete a DAM provider instance that’s in use. Delete managed content that’s associated with a DAM provider instance before deleting the instance.

#### Parameters

*   `providerInstanceId` (path, string (Id), required) ID of the provider instance.  
    Pattern: ^(1QX)\\w\*.

#### Responses

*   **204** _Successful Delete_ Success

### PATCH CMS Digital Asset Management Provider

`PATCH /connect/cms/digital-asset-management-providers/{providerInstanceId}`

Operation ID: `updateManagedContentProviderInstance`. Tags: Enhanced CMS Workspaces Resources.

Used to delete a single Managed Content Provider Instance.

Update a digital asset management (DAM) provider instance.

_Available in: v66.0_

#### Parameters

*   `providerInstanceId` (path, string (Id), required) ID of the provider instance.  
    Pattern: ^(1QX)\\w\*.

#### Request body

Create or update a managed content provider instance.

Media type: `application/json`. Schema: `ManagedContentProviderInstanceInput`.

_Example: example\_1_ Payload 1

Creating a managed content provider instance

```
{
  "instanceKey": "https://xxxxxx.com",
  "isDefault": "true",
  "name": "Bynder-Brand-1",
  "providerLightningComponentId": "106xxxxxxxxxxx"
}
```

_Example: example\_2_ Payload 2

Updating a managed content provider instance

```
{
  "instanceKey": "https://xxxxxx.com",
  "isDefault": "true",
  "name": "Bynder-Brand-1"
}
```

#### Responses

*   **200** _Managed Content Provider Instance_ Information about a managed content provider instance.
    
    Media type: `application/json`. Schema: `ManagedContentProviderInstance`.
    

### GET CMS Folder

`GET /connect/cms/folders/{folderId}`

Operation ID: `getManagedContentSpaceFolder`. Tags: CMS Managed Content Resources.

Resource on CMS Folders i.e. ManagedContentSpaceFolder

Get a managed content folder.

_Available in: v53.0_

#### Parameters

*   `folderId` (path, string (Id), required) ID of the folder.  
    Pattern: ^(9Pu)\\w\*.
*   `contextContentSpaceId` (query, string)
    
    ID of the context workspace. Specify to get folder hierarchy information starting from the root of the context workspace.
    
    _Available in: v61.0_
    

#### Responses

*   **200** _Managed Content Space Folder Detail_ Managed content space folder.
    
    Media type: `application/json`. Schema: `ManagedContentSpaceFolderDetail`.
    

### DELETE CMS Folder

`DELETE /connect/cms/folders/{folderId}`

Operation ID: `deleteManagedContentSpaceFolder`. Tags: CMS Managed Content Resources.

Resource on CMS Folders i.e. ManagedContentSpaceFolder

Delete a managed content folder.

_Available in: v68.0_

#### Parameters

*   `folderId` (path, string (Id), required) ID of the folder.  
    Pattern: ^(9Pu)\\w\*.

#### Responses

*   **200** Success

### PATCH CMS Folder

`PATCH /connect/cms/folders/{folderId}`

Operation ID: `patchManagedContentSpaceFolder`. Tags: CMS Managed Content Resources.

Resource on CMS Folders i.e. ManagedContentSpaceFolder

Update a managed content folder.

_Available in: v68.0_

#### Parameters

*   `folderId` (path, string (Id), required) ID of the folder.  
    Pattern: ^(9Pu)\\w\*.

#### Request body

Media type: `application/json`. Schema: `ManagedContentSpaceFolderInputRep`.

#### Responses

*   **200** _Managed Content Space Folder Detail_ Managed content space folder.
    
    Media type: `application/json`. Schema: `ManagedContentSpaceFolderDetail`.
    

### GET CMS Folder Items

`GET /connect/cms/folders/{folderId}/folder-items`

Operation ID: `getManagedContentSpaceFolderItemsV2`. Tags: CMS Managed Content Resources.

Resource to get the list of items in a folder

Get folder items.

_Available in: v68.0_

#### Parameters

*   `folderId` (path, string (Id), required) ID of the folder.  
    Pattern: ^(9Pu)\\w\*.
*   `contentTypeFilter` (query, ConnectMCSFolderItemsContentTypesFilterEnum)
    
    Filter to include or exclude the content type. If unspecified, default is `In`.
    
    _Available in: v68.0_
    
*   `contentTypes` (query, array of string)
    
    Comma-separated list of content types.
    
    _Available in: v68.0_
    
*   `includePublishedOnly` (query, boolean)
    
    Specifies whether to include only published content (`true`) or not (`false`). If `true`, folders are also returned.
    
    _Available in: v68.0_
    
*   `includeSharedWithSpaceFolder` (query, boolean)
    
    Specifies whether to include the shared-with-space folder in the root folder (`true`) or (`not`).
    
    _Available in: v68.0_
    
      
    Default: `true`.
*   `itemType` (query, ConnectMCSFolderItemsFilterEnum)
    
    Filter for folder items.
    
    _Available in: v68.0_
    
*   `page` (query, integer)
    
    Number of the page you want returned. Starts at 0. If you don’t specify a value or if you specify 0, the first page is returned.
    
    _Available in: v68.0_
    
*   `pageSize` (query, integer)
    
    Specifies the number of items per page. Valid values are from 1 through 250. If you don’t specify a value, the default size is 25.
    
    _Available in: v68.0_
    
*   `queryTerm` (query, string)
    
    Search query string. Searches first level on the folder and on item names.
    
    _Available in: v68.0_
    

#### Responses

*   **200** _Managed Content Space Folder Item Collection_ Folder item collection for a managed content space.
    
    Media type: `application/json`. Schema: `ManagedContentSpaceFolderItemCollectionV2`.
    

### GET CMS Folder Share Targets

`GET /connect/cms/folders/{folderId}/share-targets`

Operation ID: `getMCSFolderShareTargets`. Tags: Enhanced CMS Workspaces Resources.

The Folder Shares Target API to get the list of share targets with which the folder can be shared

Get targets that a managed content space folder can be shared with.

To get targets that a managed content space folder is shared with, use [CMS Folder Shares](/docs/platform/connect-rest-api/references/connect-rest-api-cms#tag/Enhanced-CMS-Workspaces-Resources/operation/getMCSFolderShares).

_Available in: v63.0_

#### Parameters

*   `folderId` (path, string (Id), required) ID of the folder.  
    Pattern: ^(9Pu)\\w\*.

#### Responses

*   **200** _MCS Folder Share Target Collection_ Collection of targets that a managed content space folder can be shared with.
    
    Media type: `application/json`. Schema: `MCSFolderShareTargetCollection`.
    

### GET CMS Folder Shares

`GET /connect/cms/folders/{folderId}/shares`

Operation ID: `getMCSFolderShares`. Tags: Enhanced CMS Workspaces Resources.

The Folder Shares API to get, create, or delete the shares of a folder in CMS

Get the targets that a managed content space folder is shared with.

Workspaces are the only supported sharing targets. To get targets that a managed content space folder can be shared with, use [CMS Folder Share Targets](/docs/platform/connect-rest-api/references/connect-rest-api-cms#tag/Enhanced-CMS-Workspaces-Resources/operation/getMCSFolderShareTargets).

_Available in: v63.0_

#### Parameters

*   `folderId` (path, string (Id), required) ID of the folder.  
    Pattern: ^(9Pu)\\w\*.

#### Responses

*   **200** _MCS Folder Share Collection_ Collection of targets that a managed content space folder is shared with.
    
    Media type: `application/json`. Schema: `MCSFolderShareCollection`.
    

### PATCH CMS Folder Shares

`PATCH /connect/cms/folders/{folderId}/shares`

Operation ID: `patchMCSFolderShares`. Tags: Enhanced CMS Workspaces Resources.

The Folder Shares API to get, create, or delete the shares of a folder in CMS

Update the targets that a managed content space folder is shared with.

Workspaces are the only supported sharing targets. To get targets that a managed content space folder can be shared with, use [CMS Folder Share Targets](/docs/platform/connect-rest-api/references/connect-rest-api-cms#tag/Enhanced-CMS-Workspaces-Resources/operation/getMCSFolderShareTargets).

_Available in: v63.0_

#### Parameters

*   `folderId` (path, string (Id), required) ID of the folder.  
    Pattern: ^(9Pu)\\w\*.

#### Request body

Update the targets that a managed content space folder is shared with.

Media type: `application/json`. Schema: `MCSFolderShareCollectionUpdateInput`.

_Example: example\_1_ Payload 1

```
{
  "shareWith": [
    {
      "targetId": "0Zu000000000001"
    },
    {
      "targetId": "0Zu000000000002"
    }
  ],
  "unshareWith": [
    "0Zu000000000003",
    "0Zu000000000004"
  ]
}
```

#### Responses

*   **200** _MCS Folder Share Collection_ Collection of targets that a managed content space folder is shared with.
    
    Media type: `application/json`. Schema: `MCSFolderShareCollection`.
    

### GET CMS Search

`GET /connect/cms/items/search`

Operation ID: `searchManagedContentForItems`. Tags: Enhanced CMS Workspaces Resources.

Get Request to search for Managed Content items within Managed Content Spaces and Folders.

Search for managed content items, including variants, in spaces and folders.

_Available in: v57.0_

#### Parameters

*   `contentSpaceOrFolderIds` (query, array of string (Id), required)
    
    IDs of managed content spaces (key prefix 0Zu) and folders (key prefix 9Pu) in which to search. In version 57.0, exactly one space is required and one folder in that space is allowed.
    
    _Available in: v57.0_
    
*   `contentTypeFQN` (query, string)
    
    Fully qualified name of the content type used to restrict the search.
    
    _Available in: v57.0_
    
*   `languages` (query, array of string)
    
    List of up to 10 languages or `All` to search for all languages. Specify each language as a language only, such as `en` , or as a language and locale, such as `en_US` . Search returns only exact matches and only languages that are supported by the workspace. If unspecified, the workspace default language is used.
    
    In version 57.0, search returns all languages by default. In version 58.0 and later, use `languages=All` to get all the languages.
    
    _Available in: v58.0_
    
*   `page` (query, integer)
    
    Number of the page you want returned. Starts at 0. If you don’t specify a value or if you specify 0, the first page is returned.
    
    _Available in: v57.0_
    
*   `pageSize` (query, integer)
    
    Specifies the number of items per page. Valid values are from 1 through 250. If you don’t specify a value, the default size is 25.
    
    _Available in: v57.0_
    
*   `queryTerm` (query, string, required)
    
    List of up to 50 space separated search terms. The search terms must contain at least two characters that aren’t [wildcards](/docs/platform/connect-rest-api/guide/intro_wildcards) .
    
    _Available in: v57.0_
    
*   `scope` (query, ConnectManagedContentSearchScopeEnum)
    
    Text search scope for items.
    
    If unspecified, defaults to `All` .
    
    If you specify a folder ID, you can’t restrict the search scope.
    
    _Available in: v57.0_
    

#### Responses

*   **200** _Managed Content Search Result Items Collection_ Paginated collection of CMS keyword-based search result items.
    
    Media type: `application/json`. Schema: `ManagedContentSearchResultItemsCollection`.
    

### GET CMS Spaces

`GET /connect/cms/spaces`

Operation ID: `getManagedContentSpaceCollection`. Tags: Enhanced CMS Workspaces Resources.

Resource endpoint to access Managed Content Spaces

Get managed content spaces.

_Available in: v64.0_

#### Parameters

*   `nameFragment` (query, string)
    
    Name fragment to filter spaces that contain the value in the workspace name.
    
    _Available in: v64.0_
    
*   `page` (query, integer)
    
    Number of the page you want returned. Starts at 0. If you don’t specify a value or if you specify 0, the first page is returned.
    
    _Available in: v64.0_
    
*   `pageSize` (query, integer)
    
    Specifies the number of items per page. Valid values are from 1 through 250. If you don't specify a value, the default size is 25.
    
    _Available in: v64.0_
    

#### Responses

*   **200** _Managed Content Space Collection_ Collection of managed content spaces.
    
    Media type: `application/json`. Schema: `ManagedContentSpaceCollection`.
    

### POST CMS Spaces

`POST /connect/cms/spaces`

Operation ID: `postManagedContentSpaceCollection`. Tags: Enhanced CMS Workspaces Resources.

Resource endpoint to access Managed Content Spaces

Create a managed content space.

_Available in: v64.0_

#### Request body

Create a managed content space.

Media type: `application/json`. Schema: `ManagedContentSpaceInput`.

_Example: example\_1_ Payload 1

```
{
  "name": "ShoeStoreWorkspace",
  "description": "To serve shoe store content.",
  "defaultLanguage": "en_US",
  "spacetype": "Content",
  "apiName": "shoe_store_workspace"
}
```

#### Responses

*   **200** _Managed Content Space_ Managed content space.
    
    Media type: `application/json`. Schema: `ManagedContentSpace`.
    

### GET CMS Space

`GET /connect/cms/spaces/{contentSpaceId}`

Operation ID: `getManagedContentSpace`. Tags: Enhanced CMS Workspaces Resources.

Get a Managed Content Space. Details include Root Folder Id and Supported languages.

Get a managed content space.

_Available in: v55.0_

#### Parameters

*   `contentSpaceId` (path, string (Id), required) ID of the content space.  
    Pattern: ^(0Zu)\\w\*.

#### Responses

*   **200** _Managed Content Space_ Managed content space.
    
    Media type: `application/json`. Schema: `ManagedContentSpace`.
    

### DELETE CMS Space

`DELETE /connect/cms/spaces/{contentSpaceId}`

Operation ID: `deleteManagedContentSpace`. Tags: Enhanced CMS Workspaces Resources.

Get a Managed Content Space. Details include Root Folder Id and Supported languages.

Delete a managed content space asynchronously.

_Available in: v68.0_

#### Parameters

*   `contentSpaceId` (path, string (Id), required) ID of the content space.  
    Pattern: ^(0Zu)\\w\*.

#### Responses

*   **200** _Managed Content Space Delete_ Details of an async managed content space delete operation.
    
    Media type: `application/json`. Schema: `ManagedContentSpaceDelete`.
    

### PATCH CMS Space

`PATCH /connect/cms/spaces/{contentSpaceId}`

Operation ID: `patchManagedContentSpace`. Tags: Enhanced CMS Workspaces Resources.

Get a Managed Content Space. Details include Root Folder Id and Supported languages.

Update a managed content space.

_Available in: v64.0_

#### Parameters

*   `contentSpaceId` (path, string (Id), required) ID of the content space.  
    Pattern: ^(0Zu)\\w\*.

#### Request body

Update the name or description of a managed content space.

Media type: `application/json`. Schema: `ManagedContentSpaceUpdateInput`.

_Example: example\_1_ Payload 1

```
{
  "name": "ShoeStoreWorkspaceUpdated",
  "description": "To serve shoe store content. Updated."
}
```

#### Responses

*   **200** _Managed Content Space_ Managed content space.
    
    Media type: `application/json`. Schema: `ManagedContentSpace`.
    

### GET CMS Space Channels

`GET /connect/cms/spaces/{contentSpaceId}/channels`

Operation ID: `getManagedContentSpaceChannels`. Tags: Enhanced CMS Workspaces Resources.

The management resource endpoint of Managed Content Space Channels API for a specific ManagedContentSpace record

Get channels for a managed content space.

_Available in: v62.0_

#### Parameters

*   `contentSpaceId` (path, string (Id), required) ID of the content space.  
    Pattern: ^(0Zu)\\w\*.
*   `page` (query, integer)
    
    Number of the page you want returned. Starts at 0. If you don’t specify a value or if you specify 0, the first page is returned.
    
    _Available in: v62.0_
    
*   `pageSize` (query, integer)
    
    Number of items per page. Valid values are from 1 through 250. If you don't specify a value, the default size is 25.
    
    _Available in: v62.0_
    

#### Responses

*   **200** _Managed Content Space Channels_ List of managed content space channels.
    
    Media type: `application/json`. Schema: `ManagedContentSpaceChannels`.
    

### PATCH CMS Space Channels

`PATCH /connect/cms/spaces/{contentSpaceId}/channels`

Operation ID: `patchManagedContentSpaceChannels`. Tags: Enhanced CMS Workspaces Resources.

The management resource endpoint of Managed Content Space Channels API for a specific ManagedContentSpace record

Add or remove channels from a managed content space.

_Available in: v62.0_

#### Parameters

*   `contentSpaceId` (path, string (Id), required) ID of the content space.  
    Pattern: ^(0Zu)\\w\*.

#### Request body

Channels to add or remove from a managed content space.

Media type: `application/json`. Schema: `ManagedContentSpaceChannelsInput`.

_Example: example\_1_ Payload 1

```
{
  "spaceChannels": [
    {
      "channelId": "0ap000000000001",
      "operation": "Add"
    },
    {
      "channelId": "0ap000000000003",
      "operation": "Remove"
    },
    {
      "channelId": "0ap000000000004",
      "operation": "Remove"
    },
    {
      "channelId": "0ap000000000002",
      "operation": "Add"
    }
  ]
}
```

#### Responses

*   **200** _Managed Content Space Channels_ List of managed content space channels.
    
    Media type: `application/json`. Schema: `ManagedContentSpaceChannels`.
    

### GET Managed Content Delivery, Experience Cloud Site

`GET /connect/communities/{communityId}/managed-content/delivery`

Operation ID: `getAllManagedContent`. Tags: CMS Managed Content Resources.

The delivery part of Managed Content API. Used to get a collection of published content versions.

Get published managed content versions for an Experience Cloud site.

_Available in: v47.0_

#### Parameters

*   `communityId` (path, string (CommunityId), required) ID of an Experience Cloud site.
*   `contentKeys` (query, array of string)
    
    List of up to 50 content keys for the managed content. A content key is a universally unique identifier (UUID) such as MCA4CCV5QS2BAB5H7YRCRPTCWGZQ.
    
    Specify either `contentKeys` or `managedContentIds`.
    
    _Available in: v51.0_
    
*   `language` (query, string)
    
    Language locale for the managed content, for example, `en_US`. If the requested translation isn’t available, the language defaults to the context user’s language. If the context user’s language isn’t available, the language defaults to the content type’s original language.
    
    _Available in: v47.0_
    
*   `managedContentIds` (query, array of string)
    
    Comma-separated list of managed content IDs. HTTP/2 clients support up to 200 IDs. HTTP/1.1 clients don’t.
    
    Specify either `contentKeys` or `managedContentIds`.
    
    _Available in: v47.0_
    
*   `managedContentType` (query, string)
    
    Developer name of the content type, such as `cms_document` or `cms_image`.
    
    _Available in: v47.0_
    
*   `page` (query, integer)
    
    Number of the page you want returned. Starts at 0. If you don’t specify a value or if you specify 0, the first page is returned.
    
    _Available in: v47.0_
    
*   `pageSize` (query, integer)
    
    Specifies the number of items per page. Valid values are from 1 through 250. For performance reasons, we recommend 25 or fewer items per page. If you don’t specify a value, the default size is 25.
    
    _Available in: v47.0_
    
*   `showAbsoluteUrl` (query, boolean)
    
    Specifies whether to show absolute URLs in the response body (`true`) or not (`false`). If you don’t specify a value, the default is `false`.
    
    _Available in: v50.0_
    
*   `topics` (query, array of string)
    
    Comma-separated list of up to 15 content topic names.
    
    _Available in: v47.0_
    

#### Responses

*   **200** _Managed Content Version Collection_ Collection of managed content versions.
    
    Media type: `application/json`. Schema: `ManagedContentVersionCollection`.
    

### GET Managed Content Delivery Search, Experience Cloud Site

`GET /connect/communities/{communityId}/managed-content/delivery/contents/search`

Operation ID: `getManagedContentSearchResourceOnCommunity`. Tags: CMS Managed Content Resources.

CMS Search API upon a channel/community

Search managed content in an Experience Cloud site.

_Available in: v48.0_

#### Parameters

*   `communityId` (path, string (CommunityId), required) ID of an Experience Cloud site.
*   `page` (query, integer)
    
    Number of the page you want returned. Starts at 0. If you don’t specify a value or if you specify 0, the first page is returned.
    
    _Available in: v48.0_
    
*   `pageSize` (query, integer)
    
    Specifies the number of items per page. Valid values are from 1 through 250. If you don’t specify a value, the default size is 25.
    
    _Available in: v48.0_
    
*   `queryTerm` (query, string, required)
    
    SOSL query.
    
    _Available in: v48.0_
    
*   `scope` (query, ConnectManagedContentSearchScopeEnum)
    
    Scope of the content search. Values are:
    
    *   `All` —Search all text.
    *   `TitleOnly` —Search only title text.
    
    If you don’t specify a value, the default is `All`.
    
    _Available in: v48.0_
    

#### Responses

*   **200** _Managed Content Search Result Collection_ Collection of managed content search results.
    
    Media type: `application/json`. Schema: `ManagedContentSearchResultCollection`.
    

### GET CMS Channel Content Rendition

`GET /connect/cms/delivery/channels/{channelId}/contents/{contentKeyOrId}/renditions/{renditionType}`

Operation ID: `getManagedContentDeliveryRendition`. Tags: Enhanced CMS Workspaces Resources.

The delivery rendition resource for retrieving pre-rendered content via channels

Get a managed content rendition for a channel.

_Available in: v68.0_

#### Parameters

*   `channelId` (path, string (Id), required) ID of a channel.  
    Pattern: ^(0ap)\\w\*.
*   `contentKeyOrId` (path, string, required) Content key or ID of the managed content.
*   `renditionType` (path, string, required) Type of rendition.
*   `language` (query, string)
    
    Language locale for the managed content, for example, en\_US. The requested language must be added to the channel. If you don’t specify a language or if the requested translation isn’t available, the language defaults to the channel or site’s default language. If the channel or site’s default language isn’t available, the language defaults to the primary language of the content space.
    
    _Available in: v68.0_
    

#### Responses

*   **200** _Managed Content Delivery Rendition_ Managed content delivery rendition.
    
    Media type: `application/json`. Schema: `ManagedContentDeliveryRendition`.
    

### POST CMS Contents Metadata

`POST /connect/cms/contents/metadata`

Operation ID: `exposeContentsAsMetadata`. Tags: Enhanced CMS Workspaces Resources.

Exposes a batch of existing managed contents (each addressed by its content key or Id) as metadata. "metadata" is a static collection route and does not collide with the item routes under /connect/cms/contents/${contentKeyOrId}.

Expose managed content as metadata so it can be accessed through Metadata API.

_Available in: v68.0_

#### Request body

Media type: `application/json`. Schema: `ManagedContentMetadataCollectionInput`.

#### Responses

*   **200** _Managed Content Metadata Collection_ Collection of managed content metadata.
    
    Media type: `application/json`. Schema: `ManagedContentMetadataCollection`.
    

### GET CMS Space Single Item

`GET /connect/cms/spaces/{contentSpaceId}/contents/single-item/{contentTypeFQN}`

Operation ID: `getManagedContentSingleItemContent`. Tags: Enhanced CMS Workspaces Resources.

Gets the single-item managed content of the given content type in a content space.

Get a single managed content item for a managed content space.

_Available in: v68.0_

#### Parameters

*   `contentSpaceId` (path, string (Id), required) ID of the content space.  
    Pattern: ^(0Zu)\\w\*.
*   `contentTypeFQN` (path, string, required) Fully qualified name of the managed content type.

#### Responses

*   **200** _Managed Content Document_ Managed content document.
    
    Media type: `application/json`. Schema: `ManagedContentDocument`.
    

### POST CMS Space Items, Delete

`POST /connect/cms/spaces/{contentSpaceId}/items/delete`

Operation ID: `postManagedContentItemsDelete`. Tags: Enhanced CMS Workspaces Resources.

This API asynchronously bulk deletes managed content items.

Asynchronously bulk delete managed content folders and items for a managed content space.

_Available in: v68.0_

#### Parameters

*   `contentSpaceId` (path, string (Id), required) ID of the content space.  
    Pattern: ^(0Zu)\\w\*.

#### Request body

Media type: `application/json`. Schema: `ManagedContentItemsDeleteInput`.

#### Responses

*   **200** _Managed Content Items Delete_ Result of submitting an asynchronous managed content items delete job.
    
    Media type: `application/json`. Schema: `ManagedContentItemsDeleteOutput`.
    

### GET Experience Cloud CMS Content Search

`GET /connect/sites/{siteId}/search`

Operation ID: `searchSite`. Tags: Experience Cloud CMS Content Search Resources.

Site search api.

Search an Experience Cloud site.

This resource is available only for sites with Enhanced CMS Workspaces. Make sure your content is indexed with the [CMS Channel Search Indexes](/docs/platform/connect-rest-api/references/connect-rest-api-cms#tag/Enhanced-CMS-Workspaces-Resources/operation/getManagedContentSearchIndexes) resource before searching your site.

_Available in: v54.0_

#### Parameters

*   `siteId` (path, string (Id), required) ID of an Experience Cloud site.  
    Pattern: ^(0DM)\\w\*.
*   `language` (query, string)
    
    Language locale for the context user. If unspecified or if the specified language locale isn’t available, the default value is `en_US`.
    
    _Available in: v54.0_
    
*   `pageSize` (query, integer)
    
    Specifies the number of items per page. Valid values are from 1 through 240. If unspecified, defaults to 25.
    
    _Available in: v54.0_
    
*   `pageToken` (query, string)
    
    Specifies the base64 encoded page token. Page tokens are returned as part of the response. If unspecified, the first page is returned.
    
    _Available in: v54.0_
    
*   `queryTerm` (query, string, required)
    
    White-space separated words used to search for relevant content. Provide a maximum of 1024 characters, composed of up to 32 words and white spaces. Logical operators aren’t supported.
    
    _Available in: v54.0_
    

#### Responses

*   **200** _CMS Content Search Result_ CMS Content Search result.
    
    Media type: `application/json`. Schema: `SiteSearchResult`.
    

### GET Content Workspace Permissions

`GET /connect/content/workspace/{workspaceId}/permissions/{userId}`

Operation ID: `getUsersWorkspacePermission`. Tags: Content Workspace Permissions Resources.

Resource for a user's specific permissions they have on a workspace.

Get a user's permissions for a content workspace.

_Available in: v39.0_

#### Parameters

*   `userId` (path, string (IdOrMe), required) ID of the user.  
    Pattern: ^(005)\\w\*|me.
*   `workspaceId` (path, string (Id), required) ID of the workspace.  
    Pattern: ^(058)\\w\*.

#### Responses

*   **200** _Workspace Permission_ A user’s permissions for a workspace.
    
    Media type: `application/json`. Schema: `WorkspacePermission`.
    

## Schemas

### ManagedContentChannels

Collection of managed content channels.

*   `channels` (_ManagedContentChannel | ManagedContentChannelSummary_)
    
    List of managed content channels.
    
    _Available in: v62.0_
    
    _Filter group: Small_
    
    One of: `ManagedContentChannel`, `ManagedContentChannelSummary`.
    
*   `currentPageUrl` (_string (url)_, nullable)
    
    Connect REST API URL identifying the current page.
    
    _Available in: v62.0_
    
    _Filter group: Small_
    
*   `nextPageUrl` (_string (url)_, nullable)
    
    Connect REST API URL identifying the next page, or `null` if there isn’t a next page.
    
    _Available in: v62.0_
    
    _Filter group: Small_
    
*   `previousPageUrl` (_string (url)_, nullable)
    
    Connect REST API URL identifying the previous page, or `null` if there isn’t a previous page.
    
    _Available in: v62.0_
    
    _Filter group: Small_
    
*   `totalChannels` (_integer_)
    
    Total number of managed content channels.
    
    _Available in: v62.0_
    
    _Filter group: Small_
    

### ManagedContentChannelCreate

Input body to create a managed content channel.

*   `cacheControlMaxAge` (_integer (int64)_)
    
    Cache control max age value in seconds.
    
    _Available in: v62.0_
    
*   `domain` (_string_)
    
    ID or name of the domain assigned to the public channel.
    
    _Available in: v62.0_
    
*   `isCrossApi` (_boolean_) Optional, set to signify that the channel is able to support both 1.0 and 2.0 contents
*   `isDedicatedContentDelivery` (_boolean_)
    
    Specifies whether the channel has off-core dedicated content delivery enabled (`true`) or not (`false`). Orgs hosted on Hyperforce use off-core dedicated content delivery to deliver content in public channels with high performance and low latency.
    
    _Available in: v63.0_
    
*   `isDomainLocked` (_boolean_)
    
    Specifies whether the domain is locked and can’t be changed (`true`) or not (`false`).
    
    _Available in: v62.0_
    
*   `isSearchable` (_boolean_)
    
    Specifies whether the text contents of the channel are searchable (`true`) or not (`false`).
    
    _Available in: v62.0_
    
*   `managedContentOffCoreLocation` (_ManagedContentOffCoreLocationInput_)
*   `mediaCacheControlMaxAge` (_integer (int64)_)
    
    Media cache control max age value in seconds.
    
    _Available in: v62.0_
    
*   `name` (_string_, required)
    
    Name of the managed content channel.
    
    _Available in: v62.0_
    
*   `targetId` (_string_)
    
    ID of the target associated with the managed content channel.
    
    Required for all channel types except `PublicUnauthenticated`
    
    _Available in: v62.0_
    
*   `type` (_object_, required)
    
    ConnectManagedContentChannelTypeEnum
    
    Type of managed content channel. Values are:
    
    *   `CloudToCloud` —Cloud-to-Cloud integrated channel.
    *   `Community` —Experience Cloud site channel.
    *   `ConnectedApp` —Channel served by a connected app.
    *   `PublicUnauthenticated` —Public channel. All published content is publicly available.
    *   `UserPermission` —Channel backed by a system permission. All published content is available only to users with the permission.
    *   `WebApp` —Channel served by a web app.
    
    _Available in: v62.0_
    
    Includes all fields of `ConnectManagedContentChannelTypeEnum`.
    

### ManagedContentChannel

Managed content channel.

*   `cacheControlMaxAge` (_integer (int64)_)
    
    HTTP cache control max age response header for content delivered from the channel.
    
    _Available in: v55.0_
    
    _Filter group: Small_
    
*   `channelId` (_string_)
    
    ID of the managed content channel.
    
    _Available in: v48.0–61.0_
    
    _Filter group: Small_
    
*   `channelName` (_string_)
    
    Name of the managed content channel.
    
    _Available in: v48.0–61.0_
    
    _Filter group: Small_
    
*   `channelType` (_string_)
    
    Type of managed content channel. Values are:
    
    *   `CloudToCloud` —Cloud-to-Cloud integrated channel.
    *   `Community` —Experience Cloud site channel.
    *   `ConnectedApp` —Channel served by a connected app.
    *   `PublicUnauthenticated` —Public channel. All published content is publicly available.
    *   `UserPermission` —Channel backed by a system permission. All published content is available only to users with the permission.
    *   `WebApp`—Channel served by a web app.
    
    _Available in: v48.0–61.0_
    
    _Filter group: Small_
    
      
    Allowed values: `CloudToCloud`, `Community`, `ConnectedApp`, `PublicUnauthenticated`, `UserPermission`, `WebApp`.
*   `domain` (_string_)
    
    ID or name of the domain assigned to the channel.
    
    _Available in: v52.0–61.0_
    
    _Filter group: Small_
    
*   `domainId` (_string_)
    
    ID of the domain assigned to the channel.
    
    In version 52.0 and later, this information is returned in the `domain` property.
    
    _Available in: v50.0–51.0_
    
    _Filter group: Small_
    
*   `domainName` (_string_)
    
    Name of the domain assigned to the channel.
    
    _Available in: v50.0–61.0_
    
    _Filter group: Small_
    
*   `id` (_string (Id)_)
    
    ID of the managed content channel.
    
    _Available in: v62.0_
    
    _Filter group: Small_
    
*   `isChannelSearchable` (_boolean_)
    
    Specifies whether the text contents of the channel are searchable (`true`) or not (`false`).
    
    _Available in: v48.0–61.0_
    
    _Filter group: Small_
    
*   `isDedicatedContentDelivery` (_boolean_)
    
    Specifies whether the channel has off-core dedicated content delivery enabled (`true`) or not (`false`). Orgs hosted on Hyperforce use off-core dedicated content delivery to deliver content in public channels with high performance and low latency.
    
    _Available in: v63.0_
    
    _Filter group: Small_
    
*   `isDomainLocked` (_boolean_)
    
    Specifies whether the domain is locked and can’t be changed (`true`) or not (`false`).
    
    _Available in: v50.0–61.0_
    
    _Filter group: Small_
    
*   `isSearchable` (_boolean_)
    
    Specifies whether the text contents of the channel are searchable ( `true` ) or not ( `false` ).
    
    _Available in: v62.0_
    
    _Filter group: Small_
    
*   `managedContentChannelDomain` (_object_)
    
    ManagedContentChannelDomain
    
    Domain associated with the channel.
    
    _Available in: v62.0_
    
    _Filter group: Small_
    
    Includes all fields of `ManagedContentChannelDomain`.
    
*   `mediaCacheControlMaxAge` (_integer (int64)_)
    
    HTTP cache control max age response header for media delivered from the channel.
    
    _Available in: v57.0_
    
    _Filter group: Small_
    
*   `name` (_string_)
    
    Name of the managed content channel.
    
    _Available in: v62.0_
    
    _Filter group: Small_
    
*   `targetId` (_string (Id)_)
    
    ID of the target associated with the channel.
    
    _Available in: v62.0_
    
    _Filter group: Small_
    
*   `type` (_object_)
    
    ConnectManagedContentChannelTypeEnum
    
    Type of managed content channel. Values are:
    
    *   `CloudToCloud` —Cloud-to-Cloud integrated channel.
    *   `Community` —Experience Cloud site channel.
    *   `ConnectedApp` —Channel served by a connected app.
    *   `PublicUnauthenticated` —Public channel. All published content is publicly available.
    *   `UserPermission` —Channel backed by a system permission. All published content is available only to users with the permission.
    *   `WebApp` —Channel served by a web app.
    
    _Available in: v62.0_
    
    _Filter group: Small_
    
    Includes all fields of `ConnectManagedContentChannelTypeEnum`.
    

### ManagedContentChannelUpdate

Input body to update a managed content channel.

*   `cacheControlMaxAge` (_integer (int64)_)
    
    Cache control max age value in seconds.
    
    _Available in: v62.0_
    
*   `domain` (_string_)
    
    ID or name of the domain assigned to the public channel.
    
    _Available in: v62.0_
    
*   `isDedicatedContentDelivery` (_boolean_)
    
    Specifies whether the channel has off-core dedicated content delivery enabled (`true`) or not (`false`). Orgs hosted on Hyperforce use off-core dedicated content delivery to deliver content in public channels with high performance and low latency.
    
    _Available in: v63.0_
    
*   `isDomainLocked` (_boolean_)
    
    Specifies whether the domain is locked and can’t be changed (`true`) or not (`false`).
    
    _Available in: v62.0_
    
*   `isSearchable` (_boolean_)
    
    Specifies whether the text contents of the channel are searchable (`true`) or not (`false`).
    
    _Available in: v62.0_
    
*   `managedContentOffCoreLocation` (_ManagedContentOffCoreLocationInput_)
*   `mediaCacheControlMaxAge` (_integer (int64)_)
    
    Media cache control max age value in seconds.
    
    _Available in: v62.0_
    
*   `name` (_string_, required)
    
    Name of the managed content channel.
    
    _Available in: v62.0_
    
*   `targetId` (_string_)
    
    ID of the target associated with the managed content channel.
    
    Required for all channel types except `PublicUnauthenticated`
    
    _Available in: v62.0_
    

### ManagedContentSearchIndexCollection

Collection of search indexes for a channel.

*   `indexes` (_array of ManagedContentSearchIndex_)
    
    List of search indexes, including the current live index and the latest in-progress or failed index.
    
    _Available in: v54.0_
    
    _Filter group: Small_
    

### ManagedContentSearchIndex

Search index for a channel.

*   `completionDate` (_string (date-time)_)
    
    Completion date of the index.
    
    _Available in: v54.0_
    
    _Filter group: Small_
    
*   `createdDate` (_string (date-time)_)
    
    Creation date of the index.
    
    _Available in: v54.0_
    
    _Filter group: Small_
    
*   `creationType` (_object_)
    
    ConnectSearchIndexCreationTypeEnum
    
    Creation type of the index.
    
    _Available in: v54.0_
    
    _Filter group: Small_
    
    Includes all fields of `ConnectSearchIndexCreationTypeEnum`.
    
*   `id` (_string_)
    
    ID of the index.
    
    _Available in: v54.0_
    
    _Filter group: Small_
    
*   `indexStatus` (_object_)
    
    ConnectSearchIndexStatusEnum
    
    Status of the index.
    
    _Available in: v54.0_
    
    _Filter group: Small_
    
    Includes all fields of `ConnectSearchIndexStatusEnum`.
    
*   `message` (_string_)
    
    Detailed message for the index status.
    
    _Available in: v54.0_
    
    _Filter group: Small_
    

### ManagedContentTypeSearchableCollection

Collection of searchable statuses for managed content types.

*   `currentPageUrl` (_string (url)_)
    
    Connect REST API URL identifying the current page.
    
    _Available in: v49.0_
    
    _Filter group: Medium_
    
*   `items` (_array of ManagedContentTypeSearchable_)
    
    Searchable statuses for managed content types.
    
    _Available in: v49.0_
    
    _Filter group: Small_
    
*   `nextPageUrl` (_string (url)_)
    
    Connect REST API URL identifying the next page, or `null` if there isn’t a next page.
    
    _Available in: v49.0_
    
    _Filter group: Small_
    
*   `totalItems` (_integer_)
    
    Total count of searchable statuses for managed content types.
    
    _Available in: v49.0_
    
    _Filter group: Small_
    

### ManagedContentTypeSearchableInput

Update the searchable status of a managed content type.

*   `isSearchable` (_boolean_, required)
    
    Specifies whether to set the managed content type to searchable (`true`) or not (`false`).
    
    _Available in: v49.0_
    
*   `name` (_string_, required)
    
    Developer name of the managed content type. In version 63.0 and later, specify the fully qualified name for content types that are package-installed.
    
    _Available in: v49.0_
    

### ManagedContentTypeSearchable

Searchable status for a managed content type.

*   `id` (_string_)
    
    ID of the managed content type.
    
    _Available in: v49.0_
    
    _Filter group: Small_
    
*   `isSearchable` (_boolean_)
    
    Specifies whether the managed content type is searchable (`true`) or not (`false`).
    
    _Available in: v49.0_
    
    _Filter group: Small_
    
*   `label` (_string_)
    
    Master label of the managed content type.
    
    _Available in: v49.0_
    
    _Filter group: Small_
    
*   `name` (_string_)
    
    Developer name of the managed content type.
    
    _Available in: v49.0_
    
    _Filter group: Small_
    

### ManagedContentJob

Information about a managed content import/export job

*   `createdBy` (_object_)
    
    ManagedContentUserSummary
    
    User who created the managed content job.
    
    _Available in: v68.0_
    
    _Filter group: Small_
    
    Includes all fields of `ManagedContentUserSummary`.
    
*   `createdDate` (_string (date-time)_)
    
    Date when the managed content job was created.
    
    _Available in: v68.0_
    
    _Filter group: Small_
    
*   `errorBodyUrl` (_string (url)_)
    
    URL to the error content body of the job.
    
    _Available in: v68.0_
    
    _Filter group: Small_
    
*   `id` (_string (Id)_)
    
    ID of the managed content job.
    
    _Available in: v68.0_
    
    _Filter group: Small_
    
*   `inputBodyUrl` (_string (url)_)
    
    URL to the input content body of the job.
    
    _Available in: v68.0_
    
    _Filter group: Small_
    
*   `jobType` (_string_)
    
    Type of managed content job.
    
    _Available in: v68.0_
    
    _Filter group: Small_
    
      
    Allowed values: `Delete`, `Export`, `Import`.
*   `lastModifiedBy` (_string (Id)_)
    
    ID of the user who most recently modified the managed content job.
    
    _Available in: v68.0_
    
    _Filter group: Small_
    
*   `lastModifiedDate` (_string (date-time)_)
    
    Date when the managed content job was most recently modified.
    
    _Available in: v68.0_
    
    _Filter group: Small_
    
*   `lastStatusUpdateDate` (_string (date-time)_)
    
    Date when the status of the job was most recently updated.
    
    _Available in: v68.0_
    
    _Filter group: Small_
    
*   `name` (_string_)
    
    Name of the job.
    
    _Available in: v68.0_
    
    _Filter group: Small_
    
*   `outputBodyUrl` (_string (url)_)
    
    URL to the output content body of the job.
    
    _Available in: v68.0_
    
    _Filter group: Small_
    
*   `startDate` (_string (date-time)_)
    
    Start date of the job.
    
    _Available in: v68.0_
    
    _Filter group: Small_
    
*   `status` (_string_)
    
    Status of the managed content job.
    
    _Available in: v68.0_
    
    _Filter group: Small_
    
      
    Allowed values: `Completed`, `CompletedWithError`, `Created`, `Failed`, `Pending`, `Processing`.

### ManagedContentInput

Managed content.

*   `apiName` (_string_)
    
    API name of the managed content.
    
    _Available in: v61.0_
    
*   `contentBody` (_object_, required)
    
    ManagedContentBodyInputRep
    
    Body of the managed content.
    
    _Available in: v54.0_
    
    Includes all fields of `ManagedContentBodyInputRep`.
    
*   `contentKey` (_string_)
    
    Content key to assign to the managed content. A content key is a universally unique identifier (UUID) such as MCA4CCV5QS2BAB5H7YRCRPTCWGZQ.
    
    _Available in: v56.0_
    
*   `contentSpaceOrFolderId` (_string_, required)
    
    Content space or folder ID where the content is created.
    
    _Available in: v54.0_
    
*   `contentType` (_string_, required)
    
    Fully qualified name of the content type to create.
    
    If you’re uploading a binary file using a multipart/form-data message, `contentType` must be `sfdc_cms__image` or `sfdc_cms__doc`.
    
    You can't create a Form using `sfdc_cms__form`. The `sfdc_cms__form` content type isn't supported.
    
    _Available in: v54.0_
    
*   `externalId` (_string_)
    
    External ID of the managed content.
    
    _Available in: v58.0_
    
*   `externalSource` (_ManagedContentExternalSourceInput_)
*   `title` (_string_, required)
    
    Title of the managed content.
    
    _Available in: v54.0_
    
*   `urlName` (_string_)
    
    URL name of the managed content within the org.
    
    _Available in: v54.0_
    

### ManagedContentDocument

Managed content document.

*   `apiName` (_string_, nullable)
    
    API name of the managed content.
    
    _Available in: v61.0_
    
    _Filter group: Small_
    
*   `contentBody` (_object_)
    
    Map of properties of the managed content with their values.
    
    _Available in: v54.0_
    
    _Filter group: Big_
    
    Additional properties: `object`.
    
*   `contentFqn` (_string_, nullable)
    
    Fully qualified name (FQN) of the managed content.
    
    _Available in: v64.0_
    
    _Filter group: Small_
    
*   `contentKey` (_string_)
    
    Globally unique identifier (GUID) for the managed content.
    
    _Available in: v54.0_
    
    _Filter group: Small_
    
*   `contentSpace` (_object_)
    
    ManagedContentSpaceSummary
    
    Content space of the managed content.
    
    _Available in: v54.0_
    
    _Filter group: Small_
    
    Includes all fields of `ManagedContentSpaceSummary`.
    
*   `contentType` (_object_)
    
    ManagedContentTypeSummary
    
    Type of managed content.
    
    _Available in: v54.0_
    
    _Filter group: Small_
    
    Includes all fields of `ManagedContentTypeSummary`.
    
*   `contentVersion` (_integer_, nullable)
    
    Content version of the managed content.
    
    _Available in: v66.0_
    
    _Filter group: Small_
    
*   `createdBy` (_object_)
    
    ManagedContentUserSummary
    
    User who created the managed content.
    
    _Available in: v54.0_
    
    _Filter group: Small_
    
    Includes all fields of `ManagedContentUserSummary`.
    
*   `createdDate` (_string (date-time)_)
    
    Date when the managed content was created.
    
    _Available in: v54.0_
    
    _Filter group: Small_
    
*   `externalId` (_string_, nullable)
    
    External ID of the managed content.
    
    _Available in: v58.0_
    
    _Filter group: Small_
    
*   `folder` (_object_)
    
    ManagedContentFolderSummary
    
    Folder of the managed content.
    
    _Available in: v54.0_
    
    _Filter group: Small_
    
    Includes all fields of `ManagedContentFolderSummary`.
    
*   `isPublished` (_boolean_)
    
    Specifies whether the managed content variant is published to a channel (`true`) or not (`false`).
    
    _Available in: v54.0_
    
    _Filter group: Small_
    
*   `language` (_string_)
    
    Language locale of the managed content.
    
    _Available in: v54.0_
    
    _Filter group: Small_
    
*   `lastModifiedBy` (_object_)
    
    ManagedContentUserSummary
    
    User who last modified the managed content.
    
    _Available in: v54.0_
    
    _Filter group: Small_
    
    Includes all fields of `ManagedContentUserSummary`.
    
*   `lastModifiedDate` (_string (date-time)_)
    
    Date when the managed content was last modified.
    
    _Available in: v54.0_
    
    _Filter group: Small_
    
*   `managedContentId` (_string (Id)_)
    
    ID of the managed content.
    
    _Available in: v54.0_
    
    _Filter group: Small_
    
*   `managedContentVariantId` (_string (Id)_)
    
    Managed content variant ID.
    
    _Available in: v54.0_
    
    _Filter group: Small_
    
*   `managedContentVersionId` (_string (Id)_)
    
    Managed content version ID.
    
    _Available in: v54.0_
    
    _Filter group: Small_
    
*   `source` (_object_)
    
    ConnectManagedContentGenerationSourceEnum
    
    Source of the managed content.
    
    _Available in: v68.0_
    
    _Filter group: Small_
    
    Includes all fields of `ConnectManagedContentGenerationSourceEnum`.
    
*   `status` (_object_)
    
    ManagedContentVariantStatus
    
    Status of the managed content variant.
    
    _Available in: v58.0_
    
    _Filter group: Small_
    
    Includes all fields of `ManagedContentVariantStatus`.
    
*   `title` (_string_)
    
    Title of the managed content.
    
    _Available in: v54.0_
    
    _Filter group: Small_
    
*   `urlName` (_string_)
    
    URL name of the managed content.
    
    _Available in: v54.0_
    
    _Filter group: Small_
    
*   `variantVersion` (_integer_, nullable)
    
    Variant version of the managed content.
    
    _Available in: v66.0_
    
    _Filter group: Small_
    
*   `versionNumber` (_string_)
    
    Version number of the managed content. In version 66.0 and later, use `contentVersion` and `variantVersion` for version information.
    
    _Available in: v57.0–65.0_
    
    _Filter group: Small_
    

### ManagedContentPublishInput

Managed content publish.

*   `contentIds` (_array of string_)
    
    IDs of content to publish. All variants of the content are published.
    
    Required if `variantIds` isn’t specified
    
    _Available in: v55.0_
    
*   `contextContentSpaceId` (_string_)
    
    ID of the context workspace. If specified, content from other workspaces is published if it is shared to the specified workspace. If unspecified, the context workspace is derived from the content’s origin workspace. All content in the request should belong to the same origin workspace.
    
    _Available in: v61.0_
    
*   `description` (_string_)
    
    Description for publish action.
    
    _Available in: v55.0_
    
*   `includeContentReferences` (_boolean_)
    
    Specifies whether to include content references (`true`) or not (`false`).
    
    _Available in: v57.0_
    
*   `variantIds` (_array of string_)
    
    IDs of variants to publish. All variants must be from the same content space.
    
    Required if `contentIds` isn’t specified
    
    _Available in: v57.0_
    

### ManagedContentPublishOutput

Managed content publish action.

*   `deploymentId` (_string (Id)_)
    
    ID of the managed content deployment.
    
    _Available in: v55.0_
    
    _Filter group: Small_
    
*   `description` (_string_, nullable)
    
    Publish description.
    
    _Available in: v55.0_
    
    _Filter group: Small_
    
*   `publishDate` (_string (date-time)_, nullable)
    
    Publish date.
    
    _Available in: v55.0_
    
    _Filter group: Small_
    

### ManagedContentUnpublishInput

Managed content unpublish.

*   `contentIds` (_array of string_)
    
    IDs of content to unpublish. All variants of the content are unpublished.
    
    Required if `variantIds` isn’t specified
    
    _Available in: v55.0_
    
*   `contextContentSpaceId` (_string_)
    
    ID of the context workspace. If specified, content from other workspaces is unpublished if it is shared to the specified workspace. If unspecified, the context workspace is derived from the content’s origin workspace. All content in the request should belong to the same origin workspace.
    
    _Available in: v61.0_
    
*   `description` (_string_)
    
    Description for unpublish action.
    
    _Available in: v55.0_
    
*   `variantIds` (_array of string_)
    
    IDs of variants to unpublish. All variants must be from the same content space.
    
    Required if `contentIds` isn’t specified
    
    _Available in: v57.0_
    

### ManagedContentUnpublishOutput

Managed content unpublish action.

*   `deploymentId` (_string (Id)_)
    
    ID of the Managed content deployment.
    
    _Available in: v55.0_
    
    _Filter group: Small_
    
*   `description` (_string_, nullable)
    
    Unpublish description.
    
    _Available in: v55.0_
    
    _Filter group: Small_
    
*   `unpublishDate` (_string (date-time)_, nullable)
    
    Unpublish date.
    
    _Available in: v55.0_
    
    _Filter group: Small_
    

### ManagedContentVariantInput

Input used to create a managed content variant.

*   `contentBody` (_object_, required)
    
    Body of the managed content variant.
    
    _Available in: v58.0_
    
    Additional properties: `object`.
    
*   `language` (_string_, required)
    
    Language of the managed content variant.
    
    _Available in: v58.0_
    
*   `managedContentKeyOrId` (_string_, required)
    
    Managed content key or ID of the content associated to the variant to be created.
    
    _Available in: v58.0_
    
*   `title` (_string_)
    
    Title of the managed content variant.
    
    _Available in: v58.0_
    
*   `urlName` (_string_)
    
    URL name of the managed content variant within the org.
    
    _Available in: v58.0_
    

### ManagedContentVariant

Managed content variant.

*   `apiName` (_string_, nullable)
    
    API name of the managed content variant.
    
    _Available in: v63.0_
    
    _Filter group: Small_
    
*   `contentBody` (_object_)
    
    Map of properties of the managed content with their values.
    
    _Available in: v54.0_
    
    _Filter group: Big_
    
    Additional properties: `object`.
    
*   `contentFqn` (_string_, nullable)
    
    Fully qualified name (FQN) of the managed content.
    
    _Available in: v64.0_
    
    _Filter group: Small_
    
*   `contentKey` (_string_)
    
    Globally unique identifier (GUID) for the managed content.
    
    _Available in: v54.0_
    
    _Filter group: Small_
    
*   `contentSpace` (_object_)
    
    ManagedContentSpaceSummary
    
    Content space of the managed content.
    
    _Available in: v54.0_
    
    _Filter group: Small_
    
    Includes all fields of `ManagedContentSpaceSummary`.
    
*   `contentType` (_object_)
    
    ManagedContentTypeSummary
    
    Type of managed content.
    
    _Available in: v54.0_
    
    _Filter group: Small_
    
    Includes all fields of `ManagedContentTypeSummary`.
    
*   `createdBy` (_object_)
    
    ManagedContentUserSummary
    
    User who created the managed content variant.
    
    _Available in: v54.0_
    
    _Filter group: Small_
    
    Includes all fields of `ManagedContentUserSummary`.
    
[...]
